<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml">
    <rich:dataTable value="#{listAttachments}" var="currentAtt">
        <g:column sortBy="#{'id'}" sortOrder="descending">
            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Id']}</ui:define>
            <h:commandLink id="downloadCommandLink" value="#{currentAtt.id}" action="#{messageReportManager.displayFileOnScreen(currentAtt,false)}"
                           target="_blank">
            </h:commandLink>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.ContentID']}</ui:define>
            <h:outputText value="#{currentAtt.contentID}"/>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.ContentType']}</ui:define>
            <h:outputText value="#{currentAtt.contentType}"/>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.ContentTransferEncoding']}</ui:define>
            <h:outputText value="#{currentAtt.contentTransferEncoding}"/>
        </g:column>
    </rich:dataTable>
</ui:composition>
